com.google.web.bindery.requestfactory.apt

## Class ClientToDomainMapper.UnmappedTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.web.bindery.requestfactory.apt.ClientToDomainMapper.UnmappedTypeException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  ClientToDomainMapper

    public static class ClientToDomainMapper.UnmappedTypeException
    extends java.lang.RuntimeException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnmappedTypeException()`
`UnmappedTypeException(javax.lang.model.type.TypeMirror clientType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.lang.model.type.TypeMirror` `getClientType()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnmappedTypeException

    public UnmappedTypeException()

#### UnmappedTypeException

    public UnmappedTypeException(javax.lang.model.type.TypeMirror clientType)

### Method Detail

#### getClientType

    public javax.lang.model.type.TypeMirror getClientType()